      program cfptemp
c
      implicit double precision (a-h,o-z)
c
      integer,parameter :: nmod = 42 ! number of vibrational modes
      real,parameter :: temp=1.0d0 ! temperature (K)
      dimension fr(nmod),rm(nmod),cfp(27),d2(nmod,27)
c
      open (1,file='frrmcfpd2.inp',status='unknown')
      read(1,*) 
      do 1 i=1,nmod
        read(1,*) fr(i)
 1    continue
      read(1,*) 
      do 2 i=1,nmod
        read(1,*) rm(i)
 2    continue
      read(1,*) 
      do 3 i=1,nmod
        read(1,*) 
        do 4 j=1,27
          read(1,*) d2(i,j)
 4      continue
 3    continue
      read(1,*) 
      do 5 i=1,27
        read(1,*) cfp(i)
 5    continue
      close(1)
c
      open (2,file='cfptemp.out',status='unknown')
      write(2,*) ' '
      write(2,100) temp 
      write(2,*) ' '
      do 6 i=1,27
        suma1=0.0d0
        suma2=0.0d0
        do 7 j=1,nmod
          suma1=suma1+(d2(j,i)/(fr(j)*rm(j)))*0.5d0 
          suma2=suma2+(d2(j,i)/(fr(j)*rm(j)))*
     &(1.0d0/(dexp(fr(j)/(0.69503457d0*temp))-1.0d0))
 7      continue
        write(2,*) cfp(i),' ',cfp(i)+16.857358d0*suma1,' ',
     &cfp(i)+16.857358d0*(suma1+suma2)
 6    continue
      write(2,*) ' '
      close(2)
c
 100  format('         CFPsEq                   CFPs(T = 0 K)           
     &CFPs(T = ',f8.3,' K)')
      stop
      end program
